### Enumeration

# WPEPlatform InputSource

#### Declaration

    enum WPEPlatform.InputSource

#### Description [src]

The type of a device input source.

#### Members

`WPE_INPUT_SOURCE_MOUSE`

  No description available.

  - Value: `0`
  - Available since: 2.0
`WPE_INPUT_SOURCE_PEN`

  No description available.

  - Value: `1`
  - Available since: 2.0
`WPE_INPUT_SOURCE_KEYBOARD`

  No description available.

  - Value: `2`
  - Available since: 2.0
`WPE_INPUT_SOURCE_TOUCHSCREEN`

  No description available.

  - Value: `3`
  - Available since: 2.0
`WPE_INPUT_SOURCE_TOUCHPAD`

  No description available.

  - Value: `4`
  - Available since: 2.0
`WPE_INPUT_SOURCE_TRACKPOINT`

  No description available.

  - Value: `5`
  - Available since: 2.0
`WPE_INPUT_SOURCE_TABLET_PAD`

  No description available.

  - Value: `6`
  - Available since: 2.0